OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDF

# MDF_ARDriverHSequence Class Reference

`#include <MDF_ARDriverHSequence.hxx>`

## Public Member Functions
| MDF_ARDriverHSequence ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MDF_ARDriver)&anItem)
Standard_EXPORT void | Append (const Handle(MDF_ARDriverHSequence)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MDF_ARDriver)&anItem)
Standard_EXPORT void | Prepend (const Handle(MDF_ARDriverHSequence)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MDF_ARDriver)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MDF_ARDriverHSequence)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MDF_ARDriver)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MDF_ARDriverHSequence)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MDF_ARDriverHSequence | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MDF_ARDriver)&anItem)
Standard_EXPORT const Handle_MDF_ARDriver & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MDF_ARDriver & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MDF_ARDriverSequence & | Sequence () const
MDF_ARDriverSequence & | ChangeSequence ()
Standard_EXPORT Handle_MDF_ARDriverHSequence | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
MDF_ARDriverSequence | mySequence

## Constructor & Destructor Documentation

MDF_ARDriverHSequence::MDF_ARDriverHSequence | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MDF_ARDriverHSequence::Append | ( | const Handle(MDF_ARDriverHSequence)& | aSequence | ) |

Standard_EXPORT void MDF_ARDriverHSequence::Append | ( | const Handle(MDF_ARDriver)& | anItem | ) |

MDF_ARDriverSequence& MDF_ARDriverHSequence::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MDF_ARDriver& MDF_ARDriverHSequence::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MDF_ARDriverHSequence::Clear | ( |  | ) |

Standard_EXPORT void MDF_ARDriverHSequence::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MDF_ARDriverHSequence::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MDF_ARDriverHSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ARDriverHSequence)& | aSequence
| ) |

Standard_EXPORT void MDF_ARDriverHSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ARDriver)& | anItem
| ) |

Standard_EXPORT void MDF_ARDriverHSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ARDriverHSequence)& | aSequence
| ) |

Standard_EXPORT void MDF_ARDriverHSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ARDriver)& | anItem
| ) |

Standard_Boolean MDF_ARDriverHSequence::IsEmpty | ( |  | ) | const

Standard_Integer MDF_ARDriverHSequence::Length | ( |  | ) | const

Standard_EXPORT void MDF_ARDriverHSequence::Prepend | ( | const Handle(MDF_ARDriverHSequence)& | aSequence | ) |

Standard_EXPORT void MDF_ARDriverHSequence::Prepend | ( | const Handle(MDF_ARDriver)& | anItem | ) |

Standard_EXPORT void MDF_ARDriverHSequence::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MDF_ARDriverHSequence::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MDF_ARDriverHSequence::Reverse | ( |  | ) |

const MDF_ARDriverSequence& MDF_ARDriverHSequence::Sequence | ( |  | ) | const

Standard_EXPORT void MDF_ARDriverHSequence::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ARDriver)& | anItem
| ) |

Standard_EXPORT Handle_MDF_ARDriverHSequence MDF_ARDriverHSequence::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MDF_ARDriverHSequence MDF_ARDriverHSequence::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MDF_ARDriver& MDF_ARDriverHSequence::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MDF_ARDriverSequence MDF_ARDriverHSequence::mySequence`[private]`

The documentation for this class was generated from the following file:

- MDF_ARDriverHSequence.hxx